Search found 2970 matches

Go to advanced search

by ickby
Thu Aug 06, 2020 6:15 am
Forum: Help on using FreeCAD
Topic: Automated groove function on cylinder
Replies: 6
Views: 129

Re: Automated groove function on cylinder

I recommend using Part Design exclusively and adding the repetitive grooves via pattern feature
Grooves.PNG
Grooves.PNG (62.6 KiB) Viewed 105 times
by ickby
Wed Aug 05, 2020 11:38 am
Forum: Python scripting and macros
Topic: Python: slicing/path/trajectory with arrows
Replies: 1
Views: 188

Re: Python: slicing/path/trajectory with arrows

There is a dedicated datastructure for paths in the Path Workbench ,that should be able to handle very large amounts of data. However, as far as I know the arrow only appears when you hover over it, it is not continuously present. And it uses the FreeCAD GCode dialect, that may not be what you want....
by ickby
Tue Aug 04, 2020 1:21 pm
Forum: Open discussion
Topic: GSoC 2020: A better IPython and Jupyter Notebook Integration for FreeCAD
Replies: 81
Views: 4703

Re: GSoC 2020: A better IPython and Jupyter Notebook Integration for FreeCAD

After our discussion yesterday I looked up the handling of normals. In coin they are specified via a SoNormal node, and an accompying SoNormalBinding node. For example see the Part Workbench Viewprovider . You can extract the normals there without the need to recompute them yourself. That should giv...
by ickby
Mon Aug 03, 2020 5:28 am
Forum: Open discussion
Topic: Importance of algebra in engineering.
Replies: 18
Views: 579

Re: Importance of algebra in engineering.

I work in the field of ulta high precision mechatronics, and there both are essential. Algebra and general physical equations are the only way to understand your system and to derive a system architecture. You need know your main parameters, and how they influence the result. You need to understand ...
by ickby
Fri Jul 17, 2020 11:35 am
Forum: Part Design module development
Topic: Worth adding a Part.makeWire function?
Replies: 3
Views: 267

Re: Worth adding a Part.makeWire function?

Making a Wire from points is not well defined. Are they straight connected or interpolated with some smooth function? Depended on that you have a few different ways currently (Highly simplified): 2 Points directly connected: Part.makeLine Many Points directly connected (closed or also not-closed): P...
by ickby
Fri Jul 17, 2020 11:22 am
Forum: FEM
Topic: Elmer Solver, Next Equations??
Replies: 16
Views: 625

Re: Elmer next solvers??

I'm for electro magnetism too, as I could use it from time to time! unfortunately I cannot help on it...
by ickby
Wed Jul 15, 2020 9:13 am
Forum: Open discussion
Topic: GSoC 2020: A better IPython and Jupyter Notebook Integration for FreeCAD
Replies: 81
Views: 4703

Re: GSoC 2020: A better IPython and Jupyter Notebook Integration for FreeCAD

Nice work! One remark: You currently hard coded the scene structure of a object into your code, where exactly the individual nodes are. This does only work for Part objects, as only those use this exact structure. Any other visualisation could use any kind of structures. Hence it makes sense to chan...
by ickby
Fri Jun 19, 2020 11:15 am
Forum: Open discussion
Topic: Parametric CAD modeler – CAD Builder
Replies: 15
Views: 1140

Re: Parametric CAD modeler – CAD Builder

It states
GNU Library General Public License
in the quote you posted, so LGPL. Which it should be, as freecad does not use any GPL sources in its bsae code. And with LGPL you are allowed to use it in closed source.
by ickby
Fri Jun 19, 2020 9:36 am
Forum: Open discussion
Topic: Has anyone translated FreeCAD's source code to another programming language?
Replies: 13
Views: 988

Re: Has anyone translated FreeCAD's source code to another programming language?

I used emscripten once and tried to compile freecad to web-assembly. The compiling of freecad base (no modules) including all dependencies worked after some fiddling, but I did not get it running correctly. Main issue was that python compiled for emscripten needed some special setup within the appli...
by ickby
Tue Jun 02, 2020 12:11 pm
Forum: Python scripting and macros
Topic: type of element
Replies: 4
Views: 229

Re: type of element

You need some deeper understanding of the freecad datastructures used. I recommend Part_Module Part_scripting and Topological_data_scripting

Go to advanced search